# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: protos/transformer.proto

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='protos/transformer.proto',
  package='provee',
  syntax='proto3',
  serialized_options=b'\n\017nl.uuvig.proveeB\022ProveProjectorGRCPP\001\242\002\006PROVEE',
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x18protos/transformer.proto\x12\x06provee\x1a\x1bgoogle/protobuf/empty.proto\"\'\n\x13progressTransformer\x12\x10\n\x08progress\x18\x01 \x01(\x05\"+\n\npointChunk\x12\x1d\n\x06points\x18\x01 \x03(\x0b\x32\r.provee.point\")\n\x05point\x12\n\n\x02id\x18\x01 \x01(\x02\x12\t\n\x01x\x18\x02 \x01(\x02\x12\t\n\x01y\x18\x03 \x01(\x02\"/\n\x10startTransformer\x12\x0c\n\x04path\x18\x01 \x01(\t\x12\r\n\x05model\x18\x02 \x01(\x0c\x32\xa0\x01\n\x0bTransformer\x12K\n\x17startTransformerService\x12\x18.provee.startTransformer\x1a\x12.provee.pointChunk\"\x00\x30\x01\x12\x44\n\x0bgetProgress\x12\x16.google.protobuf.Empty\x1a\x1b.provee.progressTransformer\"\x00\x42\x30\n\x0fnl.uuvig.proveeB\x12ProveProjectorGRCPP\x01\xa2\x02\x06PROVEEb\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_empty__pb2.DESCRIPTOR,])




_PROGRESSTRANSFORMER = _descriptor.Descriptor(
  name='progressTransformer',
  full_name='provee.progressTransformer',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='progress', full_name='provee.progressTransformer.progress', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=65,
  serialized_end=104,
)


_POINTCHUNK = _descriptor.Descriptor(
  name='pointChunk',
  full_name='provee.pointChunk',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='points', full_name='provee.pointChunk.points', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=106,
  serialized_end=149,
)


_POINT = _descriptor.Descriptor(
  name='point',
  full_name='provee.point',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='provee.point.id', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='x', full_name='provee.point.x', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='y', full_name='provee.point.y', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=151,
  serialized_end=192,
)


_STARTTRANSFORMER = _descriptor.Descriptor(
  name='startTransformer',
  full_name='provee.startTransformer',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='path', full_name='provee.startTransformer.path', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='model', full_name='provee.startTransformer.model', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=194,
  serialized_end=241,
)

_POINTCHUNK.fields_by_name['points'].message_type = _POINT
DESCRIPTOR.message_types_by_name['progressTransformer'] = _PROGRESSTRANSFORMER
DESCRIPTOR.message_types_by_name['pointChunk'] = _POINTCHUNK
DESCRIPTOR.message_types_by_name['point'] = _POINT
DESCRIPTOR.message_types_by_name['startTransformer'] = _STARTTRANSFORMER
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

progressTransformer = _reflection.GeneratedProtocolMessageType('progressTransformer', (_message.Message,), {
  'DESCRIPTOR' : _PROGRESSTRANSFORMER,
  '__module__' : 'protos.transformer_pb2'
  # @@protoc_insertion_point(class_scope:provee.progressTransformer)
  })
_sym_db.RegisterMessage(progressTransformer)

pointChunk = _reflection.GeneratedProtocolMessageType('pointChunk', (_message.Message,), {
  'DESCRIPTOR' : _POINTCHUNK,
  '__module__' : 'protos.transformer_pb2'
  # @@protoc_insertion_point(class_scope:provee.pointChunk)
  })
_sym_db.RegisterMessage(pointChunk)

point = _reflection.GeneratedProtocolMessageType('point', (_message.Message,), {
  'DESCRIPTOR' : _POINT,
  '__module__' : 'protos.transformer_pb2'
  # @@protoc_insertion_point(class_scope:provee.point)
  })
_sym_db.RegisterMessage(point)

startTransformer = _reflection.GeneratedProtocolMessageType('startTransformer', (_message.Message,), {
  'DESCRIPTOR' : _STARTTRANSFORMER,
  '__module__' : 'protos.transformer_pb2'
  # @@protoc_insertion_point(class_scope:provee.startTransformer)
  })
_sym_db.RegisterMessage(startTransformer)


DESCRIPTOR._options = None

_TRANSFORMER = _descriptor.ServiceDescriptor(
  name='Transformer',
  full_name='provee.Transformer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=244,
  serialized_end=404,
  methods=[
  _descriptor.MethodDescriptor(
    name='startTransformerService',
    full_name='provee.Transformer.startTransformerService',
    index=0,
    containing_service=None,
    input_type=_STARTTRANSFORMER,
    output_type=_POINTCHUNK,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='getProgress',
    full_name='provee.Transformer.getProgress',
    index=1,
    containing_service=None,
    input_type=google_dot_protobuf_dot_empty__pb2._EMPTY,
    output_type=_PROGRESSTRANSFORMER,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_TRANSFORMER)

DESCRIPTOR.services_by_name['Transformer'] = _TRANSFORMER

# @@protoc_insertion_point(module_scope)
